
QGIS Application - Bug report #9360

serious regression: whole layer not rendered (when simplify geometry activated)

2014-01-16 08:38 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17960

Description

A very serious regression has made its way into QGIS master following the (2nd) simplify geometry commits. Whole layers end up not

rendering when zooming in / out.

Steps to reproduce:

1. Open the attached error.qgs project (which contains two shapefile layers with same points in different projections)

2. Using mouse wheel, zoom in and out and give it a few seconds before each zoom step

3. Notice how the green points layer goes missing (~50% of the time) when canvas is rendered following zoom action

Disabling [ ] simplify geometry option fixes the serious regression.

Associated revisions

Revision 8c9f41cf - 2014-01-17 03:51 PM - Jürgen Fischer

Merge pull request #1086 from ahuarte47/Issue_9360

fix bug whole layer not rendered (when simplify geometry activated; fixes #9360)

Revision 12a463d2 - 2014-01-22 12:00 PM - Jürgen Fischer

Merge pull request #1087 from ahuarte47/Issue_9360R

Fix bug #9360-revival: fix whole layer not rendered (when simplify geometry activated; followup 3305a6c; fixes #9360)

Revision 5d4cf308 - 2014-02-19 08:52 AM - Martin Dobias

Fix #9360 (layer not rendered when simplify geometry is activated)

Request's extent rectangle was being randomly overwritten as it was

just reference to a temporary object!

History

#1 - 2014-01-17 12:58 AM - Giovanni Manghi

- Category set to Vectors

- Assignee set to Alvaro Huarte

- Target version changed from Version 2.0.0 to Future Release - High Priority
- Crashes QGIS or corrupts data changed from Yes to No

#2 - 2014-01-17 01:20 AM - Mathieu Pellerin - nIRV

Note: the regression was spotted on a linux (Ubuntu 13.10) machine, not tested on windows yet.

#3 - 2014-01-17 06:03 AM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

Hi Mathieu, can you test this patch please ?

https://github.com/qgis/QGIS/pull/1086

Thanks in avance

Alvaro

#4 - 2014-01-17 06:40 AM - Mathieu Pellerin - nIRV

Alvaro, that was fast :)

I don't have a build environment ready to test patch :/ can certainly verify when its commited. Looking at your patch code, I should add that I also see the

layer-not-rendered issue with polygon layer too. Is the patch covering this case too? If not, I can come up with a simple project to reproduce issue.

Glad you can fix this. Beyond the above issue, your 2nd series of simplify geometry commits are having a drastically positive impact.

#5 - 2014-01-17 06:51 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"8c9f41cfa1e6e8cc6625a3436756e3b29754142c".

#6 - 2014-01-17 08:27 AM - Alvaro Huarte

I also see the layer-not-rendered issue with polygon layer too. Is the patch covering this case too?

Hi Mathieu, I think this patch cover this case too.

Best Regards

Alvaro

#7 - 2014-01-18 04:48 AM - Mathieu Pellerin - nIRV

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened
Alvaro, the first project attached to this issue works much, much better with your patch applied (although I can still make the green dots layer disappear if I

zoom out to extreme values).

It has however not dealt with disappearing polygon layers (or at least not taken care of all the cases). I've created another test project that shows this quite

well: http://www.licadho-cambodia.org/error2.zip (it's >30mb, couldn't attach to this ticket). On my screen, when I open the project, the forest cover polygon

layer simply doesn't render. It might show on yours depending on your main canvas size. Zooming in and out a few steps will get the layer to disappear just

like with the points example.

I'm re-opening this case as further work is needed.

#8 - 2014-01-18 04:35 PM - Alvaro Huarte

Hi Mathieu,

I have released a new pull request that I hope to be merged soon.

https://github.com/qgis/QGIS/pull/1087

Thanks for your tests!

Alvaro

#9 - 2014-01-19 02:03 AM - Giovanni Manghi

- File 54.png added

- File 28.png added

- File 32.png added

- File 49.png added

Alvaro Huarte wrote:

Hi Mathieu,

I have released a new pull request that I hope to be merged soon.

https://github.com/qgis/QGIS/pull/1087

Thanks for your tests!

Alvaro

Hi Alvaro,

i haven't tested the lats patch, but with qgis master just compiled from source I see a strange behaviour when the "simplify on provider side" option is

checked, and the vector is a shapefile. On the other hand it works ok with postgis, see attached images.

Thanks in advance!

#10 - 2014-01-19 02:13 AM - Alvaro Huarte

Hi Giovanni, thanks, I know it, I am conversing with Jürgen Fischer, the commit (#3305a6c77903f1ef9cce012f52ff49c8e35f269a) has the ogr simplification

broken
Thank you very much

#11 - 2014-01-19 04:39 PM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

Alvaro, the first project attached to this issue works much, much better with your patch applied (although I can still make the green dots layer

disappear if I zoom out to extreme values).

Hi Mathieu, I see the layer disappear for scales ~1:1.161.063.094, now the simplification is never applied for point layers and I think that it occurs because

of other error.

When a layer is rendered, the current map extent is transformed to layer coordinates (using the CRS of the layer), this transformation for so big extreme

scales returns empty and any geometry is fetched to be drawed. The error occurs 

https://github.com/qgis/QGIS/blob/master/src/core/qgsmaprenderer.cpp#L414.

I think this error is not caused by my patch, you may please disable simplification and verify the layer disappears?

If it is true, we can open one specific issue to fix it

Thank you very much!

#12 - 2014-01-20 02:27 AM - Alvaro Huarte

Hi Mathieu, @nirvn commented that layers disappears in the extreme zoomed out scales even with simplification disabled.

https://github.com/qgis/QGIS/pull/1087#issuecomment-32731811

Alvaro

#13 - 2014-01-20 02:37 AM - Mathieu Pellerin - nIRV

Alvaro, @nirvn is me :)

#14 - 2014-01-20 02:39 AM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

Alvaro, @nirvn is me :)

Argggggggg, sorry, I have not noticed.

Then Can I close this issue ?

Alvaro

#15 - 2014-01-20 02:52 AM - Mathieu Pellerin - nIRV

I think we should close it when the polygon layer not rendered issue is fixed (which occurs when simplify geometry is activated). For the other issue that has
nothing to do with simplification, I'll file a proper ticket so we can close this one when above problem fixed.

#16 - 2014-01-20 02:55 AM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

I think we should close it when the polygon layer not rendered issue is fixed (which occurs when simplify geometry is activated). For the other issue

that has nothing to do with simplification, I'll file a proper ticket so we can close this one when above problem fixed.

ok, I am conversing with Jürgen Fischer about related commit (#3305a6c77903f1ef9cce012f52ff49c8e35f269a)

Thanks

#17 - 2014-01-22 03:01 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"12a463d2b06d5f10b94d4143c86465d8c4b0ecad".

#18 - 2014-01-26 05:45 AM - Mathieu Pellerin - nIRV

- Status changed from Closed to Reopened

Alvaro, I can still make the polygon layer (shapefile) disappear, as of revision 105ecfa8. Disabling simplify geometry prevents layer from disappearing.

I'm reopening this blocker.

#19 - 2014-01-26 11:24 AM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

Alvaro, I can still make the polygon layer (shapefile) disappear, as of revision 105ecfa8. Disabling simplify geometry prevents layer from

disappearing.

I'm reopening this blocker.

Hi Mathieu, polygon layer disappear even with simplification disabled. I have tested with QGIS before simplification changes and same behavior.

The project uses 'on the fly' transformation (ESPG:3148 -> EPSG:4326), disabling this transformation the layer appears. Can you confirm it please ?

Thanks!

#20 - 2014-01-26 11:32 AM - Giovanni Manghi

Mathieu Pellerin - nIRV wrote:

Alvaro, I can still make the polygon layer (shapefile) disappear, as of revision 105ecfa8. Disabling simplify geometry prevents layer from
disappearing.

just tested the same revision with the provided project/polygon layer and there are no issues here.

#21 - 2014-01-27 08:28 PM - Mathieu Pellerin - nIRV

Alvaro, the layer gone missing is definitively linked to on the fly reprojection between ESPG:3148 (meter-based) to EPSG:4326 (degree-based); that said,

on three linux machines I tested, when simplification is disabled, the polygon layer never disappears.

The three machines all run Ubuntu 13.10 and uses the QGIS master packages offered @ qgis.org/debian-nightly. Those packages are compiled with:

- Qt 4.8.4

- GDAL (compiled) 1.9.0 (running against) 1.9.2

- GEOS 3.3.3-CAPI-1.7.4

- PROJ.4 470

Giovanni, tested using which QGIS version / master build? Windows or linux? As I said, I can reproduce all the time on three linux machines.

#22 - 2014-01-28 12:20 AM - Alvaro Huarte

Hi Mathieu, to try reproduce the error, please can you send me the situation on the map? (windows size, map center point, and map scale) and as the

simbology of the layer is defined.

Thanks in advance

Alvaro

#23 - 2014-01-28 09:56 PM - ramon .

Mathieu seems to think I can get the error with this data http://www.licadho-cambodia.org/error2.zip.

What I'm seeing is that when the data complexity changes in a hurry the entire canvas goes blank for bit while the rendering catches up with the zooming.

The most reliable why I can do it is to zoom in to a reasonably complex bit, say 105.66267 13.48494 at say 1:10000. Then zoom out quickly - mouse wheel

it.

On my work computer (win7-64bit osgeo4w 121d647354) five wheel stops in about a second will do it fairly reliably.

With this data I do get it at other times, but that's the most reliable. It does seem possible to do it without using the mouse wheel too - but is much harder

because QGIS waits a bit before letting me zoom again.

I'm not sure this will help, but I'd describe the symtoms a bit differetly than above, so maybe it will.

-ramon.

#24 - 2014-01-29 01:21 AM - Alvaro Huarte

Thanks Ramon, I can reproduce this behavior in QGIS 2.0 Dufour and master before simplification was merged.

When user changes the visibility of layer while it is being rendered and repeatedly user changes the zoom with mouse wheel, then the layer disappears or

it is rendered even with visibility disabled.

I had already seen before simplification was merged. Can you confirm it please ?
Recently I tested the multi-thread rendering branch of Martin Dobias and these issue work fine.

Note:

I think that #9447 describes the same issue

#25 - 2014-01-29 03:06 AM - Mathieu Pellerin - nIRV

I've recorded a video of the issue, which hopefully might do a better job than my words at explaining the problem; it's here: 

http://licadho-cambodia.org/bug.webm (10mb)

Towards the end of the short clip, you'll clearly see that every time I activate simplify geometry, the layer goes missing, and vise versa.

I can reproduce super easily at scale 1:1,597,047 and 1:940,642 (and a bunch of other scales)

#26 - 2014-01-29 03:29 AM - Alvaro Huarte

Ok Mathieu, thanks, I study it!

#27 - 2014-01-29 04:38 AM - Alvaro Huarte

I am sorry Mathieu, I do not get to reproduce this behavior. 

Can you view error messages in log window please ?

I use Windows, I will have to setup a VM with Ubuntu 13.10 (Arggghhh! ;-))

Alvaro

#28 - 2014-01-29 07:19 AM - Mathieu Pellerin - nIRV

Alvaro, the log window doesn't throw any error message.

Yes, please, try on linux / ubuntu 13.10, it does seem to be part of the "recipe" to get to this issue. Which could mean the bug is triggered by a different

version of the underlying libraries QGIS make use of, or display driver (my three machines have NVIDIA video cards).

#29 - 2014-01-29 07:39 AM - Alvaro Huarte

Ok Mathieu, I'll try, but it will be hard for me, I've never used Linux, much less compiled QGIS in Linux

#30 - 2014-01-29 12:03 PM - Giovanni Manghi

Mathieu Pellerin - nIRV wrote:

I've recorded a video of the issue, which hopefully might do a better job than my words at explaining the problem; it's here: 

http://licadho-cambodia.org/bug.webm (10mb)

Towards the end of the short clip, you'll clearly see that every time I activate simplify geometry, the layer goes missing, and vise versa.

I can reproduce super easily at scale 1:1,597,047 and 1:940,642 (and a bunch of other scales)
Hi all,

I use ubuntu 12.04 (intel video card), qgis master from nightly build repo + ubuntugis (gdal 1.10), simplification active, and I can't replicate the described

issue (even trying very hard) with the attached sample project/layer.

#31 - 2014-01-29 04:24 PM - ramon .

Alvaro: that was with yesterdays nightly, so fairly current dev version. In 2.0.1 I get very fleeting white outs - much less than a second. In 2.1 I can get

countable seconds of white space.

Mathieu: I've looked at your video, and the problem I'm getting is a few seconds long (worst case). I can also get it panning around at a large scale. I've got

to make something think really hard - e.g. zooming fast.

         Its not completely vanishing like in your video.

All: It seems I've a nivea card too.

#32 - 2014-01-29 07:27 PM - Mathieu Pellerin - nIRV

I've tried with NVIDIA proprietary driver, as well as the open source Nouveau driver, and in both cases I can duplicate the non-rendered layer bug.

#33 - 2014-02-05 11:23 PM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

Alvaro, the log window doesn't throw any error message.

Yes, please, try on linux / ubuntu 13.10, it does seem to be part of the "recipe" to get to this issue. Which could mean the bug is triggered by a

different version of the underlying libraries QGIS make use of, or display driver (my three machines have NVIDIA video cards).

Hi Mathieu, so you have knowledge, I'm trying to compile QGIS in Ubuntu 13.10 (Using VirtualBox from my Windows XP) to cause this issue. I'm stuck in a

step (I havent installed the python library appropriately, 'PYTHON_LIBRARY variable is not found', to use in ccmake).

I am going to request help to qgis dev mailing list.

Best Regards

Alvaro

#34 - 2014-02-05 11:38 PM - ramon .

A couple of extra bits:

1. Alvaro, if you have a 64-bit install the python library is somewhere odd. Something /usr/lib/x86_64-linuxgnu/

2. On my home mint 16 (so as close as I'm willing to get to ubuntu) install, with an ati card, I can't get any glitches from Mathieu's data.

3. I've got a layer here that on my work (nivea) computer is doing the vanishing thing - but doesn't care about the rendering options in both master and

2.0.1. At least at work. Haven't had time yet to check at home. If it behaves at home, then it's something related to this problem. 

https://www.dropbox.com/s/o01aezr0n4s0slu/tracks.zip
#35 - 2014-02-05 11:43 PM - Jürgen Fischer

Alvaro Huarte wrote:

I am going to request help to qgis dev mailing list.

Try to build packages, that will take care of the dependencies, configure the source and give you an initial build in debian/build.

#36 - 2014-02-05 11:48 PM - Alvaro Huarte

ramon . wrote:

A couple of extra bits:

1. Alvaro, if you have a 64-bit install the python library is somewhere odd. Something /usr/lib/x86_64-linuxgnu/

2. On my home mint 16 (so as close as I'm willing to get to ubuntu) install, with an ati card, I can't get any glitches from Mathieu's data.

3. I've got a layer here that on my work (nivea) computer is doing the vanishing thing - but doesn't care about the rendering options in both master

and 2.0.1. At least at work. Haven't had time yet to check at home. If it behaves at home, then it's something related to this problem. 

https://www.dropbox.com/s/o01aezr0n4s0slu/tracks.zip

Thanks Ramon, I am going to test this zip as soon I come back at home

Alvaro

#37 - 2014-02-05 11:52 PM - Alvaro Huarte

Jürgen Fischer wrote:

Alvaro Huarte wrote:

I am going to request help to qgis dev mailing list.

Try to build packages, that will take care of the dependencies, configure the source and give you an initial build in debian/build.

Thanks Jürgen, I used 'https://raw.github.com/qgis/QGIS/master/INSTALL' guide, but I guess I did something wrong.

I'll start all over again, from install Ubuntu 13.10 in VirtualBox

Alvaro

#38 - 2014-02-06 12:49 AM - Nyall Dawson

Alvaro - you might have run into the issue I describe here : http://nyalldawson.net/2013/04/building-qgis-on-ubuntu-13-04/

#39 - 2014-02-06 02:54 AM - ramon .

Still not sure if its the same bug, but tracks.zip file is giving this error on the mint terminal at home:

ERROR 1: IllegalArgumentException: point array must contain 0 or >1 elements
Would say it's something to do with odd geometries from a gps track - except that I had it in a different workspace today where it worked fine.

#40 - 2014-02-06 04:06 AM - Alvaro Huarte

ramon . wrote:

Still not sure if its the same bug, but tracks.zip file is giving this error on the mint terminal at home:

ERROR 1: IllegalArgumentException: point array must contain 0 or >1 elements

Would say it's something to do with odd geometries from a gps track - except that I had it in a different workspace today where it worked fine.

I have not yet tested the data, but this commit (https://github.com/ahuarte47/QGIS/commit/2baf40307a0a0cbfed57749644bb101b758098ba) fixes an

error in QgsGeometry class throwing this message

#41 - 2014-02-07 05:56 PM - Alvaro Huarte

- File Ubuntu1310_Issue9360.jpg added

Hi Mathieu, I successfully built QGIS master in Ubuntu 13.10 :-)

I use VirtualBox in Windows XP 32bits.

Thanks Nyall, your note about 'libpython2.7.so' (http://nyalldawson.net/2013/04/building-qgis-on-ubuntu-13-04/) was very useful to me.

But I can't replicate the described issue (shapefile from error2.zip) :-(

May be a plugin ?

What else I can do?
#42 - 2014-02-07 07:52 PM - Mathieu Pellerin - nIRV

Alvaro, the builds I use on my three machines with which I can replicate all the time are builds offered via the qgis debian-nightly ppa. Can you try to install

those and check whether issue happen?

If it's not happening then, I give up :/

On the positive side of things, glad this got you to increase knowledge on compiling under Linux :)

#43 - 2014-02-08 03:11 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Reopened to Closed

Mathieu Pellerin - nIRV wrote:

Alvaro, the builds I use on my three machines with which I can replicate all the time are builds offered via the qgis debian-nightly ppa. Can you try to

install those and check whether issue happen?

If it's not happening then, I give up :/

On the positive side of things, glad this got you to increase knowledge on compiling under Linux :)

I have also tested extensively qgis master installed on ubuntu via ubuntugis, self compiled and on windows/osgeo4w and I cannot replicate the issue with

the provided test project/data.

I will close this ticket for now, we need to clean the blockers queue before the new release.

If you find the issue to be not a local issue (as it probably is) please reopen this ticket.

#44 - 2014-02-08 05:28 AM - Mathieu Pellerin - nIRV

Giovanni, seems closing this issue is right thing to do considering I appear to be the only one able to reproduce. Will continue investigating cause of issue

and re open if/when I figure this out.

Have you tried it on a build that relies on saucy system packages? (Ie not with the ubuntugis packages)

#45 - 2014-02-08 05:59 AM - Giovanni Manghi

Have you tried it on a build that relies on saucy system packages? (Ie not with the ubuntugis packages)

no, I tested only on precise machines,

#46 - 2014-02-10 02:16 PM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:
Alvaro, the builds I use on my three machines with which I can replicate all the time are builds offered via the qgis debian-nightly ppa. Can you try to

install those and check whether issue happen?

If it's not happening then, I give up :/

On the positive side of things, glad this got you to increase knowledge on compiling under Linux :)

Hi Mathieu, I can replicate this issue in my Virtual Box with Ubuntu 13.10 + qgis debian-nightly package. But I have no idea how to debug this, source

code, IDE to use ... sorry. I am newbie in Ubuntu, I do not even know where to begin. I will try to locate information.

Already checked that Ubuntu 13.10 + QGIS master works fine.

Best regards

#47 - 2014-02-10 06:31 PM - Mathieu Pellerin - nIRV

Alvaro, am I right in understanding that:

- you cannot replicate the issue if you build QGIS yourself on Ubuntu 13.10; but

- you can replicate the issue if through debian-nightly compiled QGIS builds

I'm relieved we got to a point where others can replicate the issue.

#48 - 2014-02-11 12:03 AM - Alvaro Huarte

Mathieu Pellerin - nIRV wrote:

Alvaro, am I right in understanding that:

- you cannot replicate the issue if you build QGIS yourself on Ubuntu 13.10; but

- you can replicate the issue if through debian-nightly compiled QGIS builds

I'm relieved we got to a point where others can replicate the issue.

You are right, but I do not know how to solve it. I guess I should use QtCreator or Eclipse-CDT to build QGIS, but where is the source code for

'http://qgis.org/debian-nightly' repository ?

#49 - 2014-02-11 12:09 AM - Jürgen Fischer

Alvaro Huarte wrote:

You are right, but I do not know how to solve it. I guess I should use QtCreator or Eclipse-CDT to build QGIS, but where is the source code for

'http://qgis.org/debian-nightly' repository?

You can use apt-get source to get the sources.  But that's the same a in our repository.  Did you build packages?  That should already give you the same

configuration.

#50 - 2014-02-11 02:25 AM - Alvaro Huarte
Jürgen Fischer wrote:

Alvaro Huarte wrote:

You are right, but I do not know how to solve it. I guess I should use QtCreator or Eclipse-CDT to build QGIS, but where is the source code for

'http://qgis.org/debian-nightly' repository?

You can use apt-get source to get the sources.  But that's the same a in our repository.  Did you build packages?  That should already give you the

same configuration.

Yes I built GQIS+master using the guide, it works fine. Then, why 'debian-nightly' not work?

#51 - 2014-02-11 02:44 AM - Jürgen Fischer

Alvaro Huarte wrote:

Yes I built GQIS+master using the guide, it works fine. Then, why 'debian-nightly' not work?

The guide describes multiple paths. Just to be sure: You used 3.8. Building Debian packages (that you ran into the libpython2.7.so problem suggests that

you didn't).  Does the about screen in the nightly build match the output of yours?

#52 - 2014-02-13 05:07 AM - Mathieu Pellerin - nIRV

I've just upgraded by system to ubuntu's upcoming trusty 14.04 system. The debian-nightly packages are still affected by the regression.

However, if I manually compile QGIS from the same source tree, the regression is gone. Same packages, same source revision. I'm lost here.

Jef, could it be a compiler version or setting issue?

#53 - 2014-02-13 05:13 AM - Jürgen Fischer

Mathieu Pellerin - nIRV wrote:

I've just upgraded by system to ubuntu's upcoming trusty 14.04 system. The debian-nightly packages are still affected by the regression.

However, if I manually compile QGIS from the same source tree, the regression is gone. Same packages, same source revision. I'm lost here.

Did you build packages or did you manually configure cmake?

Jef, could it be a compiler version or setting issue?

I don't know either.  Can you compare http://dash.orfeo-toolbox.org/buildSummary.php?buildid=139988 and/or 

http://dash.orfeo-toolbox.org/buildSummary.php?buildid=139984 with the output of your build?  I suppose there are differences.  As the logs don't show all

versions, you could also compare the about boxes' content.
#54 - 2014-02-13 06:50 AM - Alvaro Huarte

- File Ubuntu_13.10-debian-nightly.png added

Jürgen Fischer wrote:

Mathieu Pellerin - nIRV wrote:

I've just upgraded by system to ubuntu's upcoming trusty 14.04 system. The debian-nightly packages are still affected by the regression.

However, if I manually compile QGIS from the same source tree, the regression is gone. Same packages, same source revision. I'm lost here.

Did you build packages or did you manually configure cmake?

Jef, could it be a compiler version or setting issue?

I don't know either.  Can you compare http://dash.orfeo-toolbox.org/buildSummary.php?buildid=139988 and/or 

http://dash.orfeo-toolbox.org/buildSummary.php?buildid=139984 with the output of your build?  I suppose there are differences.  As the logs don't

show all versions, you could also compare the about boxes' content.

Hi, sorry no answer, these days I'm finding it impossible to look for family reasons. I built QGIS in Ubuntu 13.10 using ccmake as described in 

http://htmlpreview.github.io/?http://github.com/qgis/QGIS/blob/master/doc/INSTALL.html#toc10. It works fine.

But installing debian-nightly packages as described in http://www.qgis.org/en/site/forusers/alldownloads.html, it works wrong.

The about dialog using debian-nightly packages (Apparently are equal):
When I built QGIS using ccmake, I configured libpython2.7.so as described in Nyall in http://nyalldawson.net/2013/04/building-qgis-on-ubuntu-13-04/ ...

'Update: a better solution is to change the PYTHON_LIBRARY option from /usr/lib/libpython2.7.so to /usr/lib/x86_64-linux-gnu/libpython2.7.so'

#55 - 2014-02-13 11:11 AM - Giovanni Manghi

Jürgen Fischer wrote:

Mathieu Pellerin - nIRV wrote:

I've just upgraded by system to ubuntu's upcoming trusty 14.04 system. The debian-nightly packages are still affected by the regression.

it is weird because I use the nightly build repos on Ubuntu 12.04 (mint actually) and I can't replicate the issue.

Should we reopen this? if it is confirmed by others using the official packages this could be a problem in the upcoming new release.

#56 - 2014-02-17 07:34 AM - Gavin Fleming

affects me too (I added #9581 which is probably a duplicate of this). I did an update today so either the patch hasn't reached me or there are some cases
that haven't been fixed?

#57 - 2014-02-17 09:05 AM - Alvaro Huarte

Hi, sorry, these days I'm finding it impossible to look this issue for family reasons. 

I will try to build QGIS as debian-nightly packages as soon as possible.

#58 - 2014-02-17 01:48 PM - Alvaro Huarte

Hi, I have released a new pull request that attempts to correct this issue or as least show debug information:

https://github.com/qgis/QGIS/pull/1186

I have not test it for Ubuntu 'debian-nightly packages' but the I think the clues given by Gavin focus error to the point that I modified

Best Regards

Alvaro

#59 - 2014-02-18 11:42 PM - Martin Dobias

- Assignee changed from Alvaro Huarte to Martin Dobias

- Status changed from Closed to Reopened

- Resolution deleted (worksforme)

#60 - 2014-02-18 11:53 PM - Martin Dobias

- Status changed from Reopened to Closed

Fixed in changeset commit:"5d4cf3086abe6bb205423771093cc5eebac6d5b8".

#61 - 2014-02-18 11:59 PM - Mathieu Pellerin - nIRV

!! Yay !!

Martin, out of purely geeky curiosity, why was this not showing on self-compiled builds and showing on the debian-nightly packages?

#62 - 2014-02-19 12:20 AM - Martin Dobias

Actually, I have replicated the problem by chance while playing with #9060 on my self-compiled build (not using debian-nightly at all).

I don't know how much the debian-nightly packages differ from your own build, but it could be compiler version or maybe some compiler flags...

This is kind of a random bug that waits in the dark corner and usually strikes just after the release :-)

#63 - 2014-02-19 08:34 AM - Alvaro Huarte

Martin Dobias wrote:

Actually, I have replicated the problem by chance while playing with #9060 on my self-compiled build (not using debian-nightly at all).
I don't know how much the debian-nightly packages differ from your own build, but it could be compiler version or maybe some compiler flags...

This is kind of a random bug that waits in the dark corner and usually strikes just after the release :-)

ufff, Thank you very much Martin, this type of error I would not have ever found!
